summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-18 06:56:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-18 06:56:14 +0000
commit2dd8aa0b5001c0a199faeb786b5e2babba796a99 (patch)
treec7ecf379a60dfa67d3690dfb3af94f3ce3d60cc4 /dev-python
parentebbc1c188eecafc7ba2b3b379e6e76fd1d0c2958 (diff)
downloadbaldeagleos-repo-2dd8aa0b5001c0a199faeb786b5e2babba796a99.tar.gz
baldeagleos-repo-2dd8aa0b5001c0a199faeb786b5e2babba796a99.tar.xz
baldeagleos-repo-2dd8aa0b5001c0a199faeb786b5e2babba796a99.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.37.36.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.37.36.ebuild67
-rw-r--r--dev-python/calver/Manifest3
-rw-r--r--dev-python/calver/calver-2025.04.01.ebuild38
-rw-r--r--dev-python/calver/calver-2025.4.17.ebuild (renamed from dev-python/calver/calver-2025.03.31.ebuild)14
-rw-r--r--dev-python/elasticsearch/Manifest1
-rw-r--r--dev-python/elasticsearch/elasticsearch-9.0.0.ebuild81
-rw-r--r--dev-python/fixtures/Manifest1
-rw-r--r--dev-python/fixtures/fixtures-4.2.5.ebuild30
-rw-r--r--dev-python/frozenlist/Manifest1
-rw-r--r--dev-python/frozenlist/frozenlist-1.6.0.ebuild54
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.131.2.ebuild110
-rw-r--r--dev-python/lit/lit-15.0.7.ebuild2
-rw-r--r--dev-python/lit/lit-16.0.6.ebuild2
-rw-r--r--dev-python/lit/lit-17.0.6.ebuild2
-rw-r--r--dev-python/m2crypto/Manifest1
-rw-r--r--dev-python/m2crypto/m2crypto-0.45.0.ebuild68
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.6.12.ebuild71
-rw-r--r--dev-python/nanobind/Manifest1
-rw-r--r--dev-python/nanobind/nanobind-2.7.0.ebuild70
-rw-r--r--dev-python/pydantic-core/Manifest8
-rw-r--r--dev-python/pydantic-core/pydantic-core-2.34.1.ebuild178
-rw-r--r--dev-python/reportlab/Manifest2
-rw-r--r--dev-python/reportlab/reportlab-4.2.5.ebuild53
-rw-r--r--dev-python/reportlab/reportlab-4.3.0.ebuild53
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.11.5.ebuild39
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-26.15.0.ebuild96
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-3.2.3.ebuild33
35 files changed, 977 insertions, 163 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 233b365a04be..ef51f837ab83 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.37.28.gh.tar.gz 922848 BLAKE2B 134a4054d1142de5f63198f6fd97eef3dc5f
DIST boto3-1.37.33.gh.tar.gz 927758 BLAKE2B ed246a9e8966bfb51a3ef567461a5ec6103cb7e710799db908b5c5e790c09b765a1b977f8b1a0b4f65ecc013178afe1c8e0b03729e1c4ae9f20a22a21e248267 SHA512 373b5eb1340c7da82b3d4e493f63e4b9e4b80fa4fe3a215961ea8c793382efca83de9b3c744456de572c9b6bb7bbb73cffdbc7d892d501da3213ed9073ae2264
DIST boto3-1.37.34.gh.tar.gz 928447 BLAKE2B 6ade9d543c59afba13a523cab308ce655b97862011f73e2b19f71a1a877cb0e5fd67427b95bc22714283595048796dc782df2b2071bee4c5f0c40f0dac35d31b SHA512 36da2ef1bbebfe08e2c9f9dc8ed994e1d7194186aae25c72e676b040f93e56dfad0f1719b90ff6b9fa2ca1176ec9bfdad805b04bd1753cf36335e279f5ab598f
DIST boto3-1.37.35.gh.tar.gz 929188 BLAKE2B 2c52cb547eb800f445a152e0a3bc870456b127f11701bcb3f9b06b353c644cfa79253652a836e35db5553adbb44b52410c480f3a150283ef8684630a20691a67 SHA512 471519fb2aed853231fea863c48357125e7606b67bb9c796fc551bed0288f04c848e1b906ba90ff1b64bcfe469868f737aa542d44acf83fbf4159b60b3c43184
+DIST boto3-1.37.36.gh.tar.gz 929841 BLAKE2B 8e027aefc8be5deae08c83d99b78ea2569c4fc666349231ce440a78e357eafb43c1e866d109d5d6f4e14c3e5f52d4c9c3083c3e158dd84dd95955772fead608e SHA512 31d36e7bec19e1e79490fa42a8629eea6b870cb92f8522d051fb0a8ecba1a88c20f463ccc15e6621f881afdbdf4e65bf4725e35c5c9348e732d76ab21cb7e73a
diff --git a/dev-python/boto3/boto3-1.37.36.ebuild b/dev-python/boto3/boto3-1.37.36.ebuild
new file mode 100644
index 000000000000..dfe05b3d9a81
--- /dev/null
+++ b/dev-python/boto3/boto3-1.37.36.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ba8cc8f32a78..70ac839ebf3b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.37.28.gh.tar.gz 14529730 BLAKE2B aa04a445d45d24ff7dad8553ce19676
DIST botocore-1.37.33.gh.tar.gz 14547041 BLAKE2B 65fc9cd205b582dd5b046670dec5708d16e638789edfa3c3c6126f404b83a150210d92bb108156540523b0ed30ad06b5ecaa832ed8c751b99ba49b8cc975e4cd SHA512 e07480e100aa3b58831fb76f58d69e1ccea85c629ce9048909d51072d1b2a66ce10b65f97bfc0b82ba5235257035e85442b31b09a3fe4bbb2dfed7bcbeebfc37
DIST botocore-1.37.34.gh.tar.gz 14549837 BLAKE2B bfa7b68de3bfd1d71396f55f8a7f75bbdf199a034662338e5f7bdb082de120da3a694d906402fce1ba38ac89d9a9857715028409a5d2ca082667f066170a606a SHA512 6a5432b35430edd78a67279d3bb7864c1ee5cb9397a4c5f8a76b251ffa5a2f03c9b4710378f248e4a6fb99567d682dae7d011a9271b67c7d127240c90d1afcfd
DIST botocore-1.37.35.gh.tar.gz 14551567 BLAKE2B c12d36c1213a05eb1fc616a9b8823409a31df9c33f0f6c0eef4ffeb5c1086cb3e13dd5f1909159ba210dd85e9fd0dff5542aaf006aeefb7fa8b54e3593011252 SHA512 ec3536f9bdc48b9a6f9b21abeefa726bcec4b324591ecafd03dc676ccb3343d4d0e95c3b0b8b3659cf4e3ee73e01c8f680890317da1c756f167fa601e0a83c39
+DIST botocore-1.37.36.gh.tar.gz 14561745 BLAKE2B de5d3b1fd3e85f492ab6b33c46e099798cc989aa804ff28bef134a8ef0121161e45d7a3e85704a43d668d4a9480edad6b8afd702ddb878c42578a54b16c32680 SHA512 a5d943c74235b8b3fbd2751022508355535d92ada234d68ea18cf55dc47eed6a411ba685629e2d74880773a837de73fbd34fe25cdef273cacf2f31365da710a6
diff --git a/dev-python/botocore/botocore-1.37.36.ebuild b/dev-python/botocore/botocore-1.37.36.ebuild
new file mode 100644
index 000000000000..df85ee0d220c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.37.36.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/calver/Manifest b/dev-python/calver/Manifest
index c3084e90160a..983ef58bc6c7 100644
--- a/dev-python/calver/Manifest
+++ b/dev-python/calver/Manifest
@@ -1,4 +1,3 @@
DIST calver-2022.06.26.gh.tar.gz 7601 BLAKE2B e4bea1dc8954b4f65003cb06dadebfa6a7ad0554d64c23e5339652955d2e4659ffc093b8d11d284e03bc74267059a10043a45dd1eb7717378fb22327d6409428 SHA512 4d436cead8930cae1a71eddef9f0ecd2881f8cb632c3814dc75390b061a909e7ca969a604a5fded1c66647947856d540e2180bd3ce4bed5087b4dbc9d5edb393
-DIST calver-2025.03.31.gh.tar.gz 7950 BLAKE2B 5217d26bccb1997056fc2073fcdc9b8873e689283a0845af52202bdc84aca8502886c995532936ff46469614720d0f58b510354677e45aa7e3cb50a2118bd8b1 SHA512 f728e42326dfb7d1cc5f1a0d86d67c7bd479dc98ef5829d6fe70606317ce36662f5d2c8d06c76a1016a4b9a6e9c5474049b71d53c201c486aaa2d93c7a59a91e
-DIST calver-2025.04.01.gh.tar.gz 7923 BLAKE2B 83f777161486256459bf2cba236ef670345f88bbd342acf1e43ef94c673364e1b7ed96508701ae252a59069254cd3424abde2495e7080c2b328132968ca167b6 SHA512 e74ac06bf21c7ec610f7f2eac0e6f2e538e3d9b442a7f5e861d5dc484f8a5d839349491a98796401f2834e1fa505d0570c8e2c52dc7b52f33374e0bf4904132f
DIST calver-2025.04.02.gh.tar.gz 8158 BLAKE2B 4e1fb81d8e8295497ae30d2323799460838db3de10317fd2301113d95574630efee7c3abb32e35a97be21f86aac28cb283e2d13e26ead9d421f3f4ddb4e5ab8a SHA512 7af7a2f844bcfcdacd1a4e985c508b1901a5194c3e21e1f7b7c0f381778ac905dba1276ef7201db6140b08fb57fef8acaf293b270710160871e353e8315c9a02
+DIST calver-2025.4.17.tar.gz 8082 BLAKE2B af80804f29bdcafecd65f771da6e5ba7d28b3a47324bc9203984827bc5588ca6222f242cad23d8d67e921141ab5cee3ba00827d88cc85a8817bdcdabbab44b85 SHA512 08e925ce646d1ec64b8992603df5af5c7ff41660ee033c9d4ad7d4a9252493e5578af4cf5e9de40bbc6c17c65e7d37f6b323f8d9821c10e874069f6f16d14ddc
diff --git a/dev-python/calver/calver-2025.04.01.ebuild b/dev-python/calver/calver-2025.04.01.ebuild
deleted file mode 100644
index ed90732cee1d..000000000000
--- a/dev-python/calver/calver-2025.04.01.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2022-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Setuptools extension for CalVer package versions"
-HOMEPAGE="
- https://github.com/di/calver/
- https://pypi.org/project/calver/
-"
-SRC_URI="
- https://github.com/di/calver/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-
-BDEPEND="
- test? (
- dev-python/pretend[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_compile() {
- # what a mess, also we need to scope it not to break tests
- local -x SOURCE_DATE_EPOCH=$(date --date="${PV//./-}" +%s)
-
- distutils-r1_src_compile
-}
diff --git a/dev-python/calver/calver-2025.03.31.ebuild b/dev-python/calver/calver-2025.4.17.ebuild
index ed90732cee1d..dba2085bdc7e 100644
--- a/dev-python/calver/calver-2025.03.31.ebuild
+++ b/dev-python/calver/calver-2025.4.17.ebuild
@@ -6,33 +6,23 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="Setuptools extension for CalVer package versions"
HOMEPAGE="
https://github.com/di/calver/
https://pypi.org/project/calver/
"
-SRC_URI="
- https://github.com/di/calver/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
BDEPEND="
+ >=dev-python/setuptools-77.0.1[${PYTHON_USEDEP}]
test? (
dev-python/pretend[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
-
-src_compile() {
- # what a mess, also we need to scope it not to break tests
- local -x SOURCE_DATE_EPOCH=$(date --date="${PV//./-}" +%s)
-
- distutils-r1_src_compile
-}
diff --git a/dev-python/elasticsearch/Manifest b/dev-python/elasticsearch/Manifest
index 1a4beeb8fb4a..f15437e4e99c 100644
--- a/dev-python/elasticsearch/Manifest
+++ b/dev-python/elasticsearch/Manifest
@@ -1,2 +1,3 @@
DIST elasticsearch-py-8.17.2.gh.tar.gz 1757369 BLAKE2B faa6b0a0e1d8db10f2da1a5404d0353c89b7d48cfcc7433a2b3180a427bbbe33e5da40b2d6eef8f462cb67cc40e8497a4f67a9fd7ed851ac6376672c3a78afc8 SHA512 b63e30bf270f96ce25b2f80c77c5449e8a5cb6da75904f9bdfe20e208501ce2531f035998925a5157df8731c448ef3e1faecb6fb8a51bb0c3e8e4eef9ee58bc9
DIST elasticsearch-py-8.18.0.gh.tar.gz 2029549 BLAKE2B 67b5c6011353f0608400c3d6a82a59df2490b92170c216f31ab89bc310e78628e6986a0ab9891f10b2ed2c2901cf84a6455711f6d076af7e1a95f5864e5cff94 SHA512 41d1d22498849d9cd240fe35ecc8a1f5a9a0acf04da3398c1664712a107955728b5676255143e53e3fd8ce2b053dd40b81c00d6f4cbc59f0292164bfd6d581db
+DIST elasticsearch-py-9.0.0.gh.tar.gz 2198119 BLAKE2B 5764320d3890152d1a75009d2b5a4c476929c4fa26f7c8df2827b728a003262e3b9ce2b60867115432e0fd54b7f39c27c1aea744a2d24d01a95e13abdb5a8eb2 SHA512 5fd3b57b01f5a67613e99306986e3c801b9ee8d46b23cbf5ef616ea3a4d541d0cb2bfe07248ff8352546b1c0ccadc0321144a23f5da30df69652608e53914a94
diff --git a/dev-python/elasticsearch/elasticsearch-9.0.0.ebuild b/dev-python/elasticsearch/elasticsearch-9.0.0.ebuild
new file mode 100644
index 000000000000..e6c7574b70df
--- /dev/null
+++ b/dev-python/elasticsearch/elasticsearch-9.0.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="elasticsearch-py-${PV}"
+DESCRIPTION="Official Elasticsearch client library for Python"
+HOMEPAGE="
+ https://ela.st/es-python
+ https://github.com/elastic/elasticsearch-py/
+ https://pypi.org/project/elasticsearch/
+"
+SRC_URI="
+ https://github.com/elastic/elasticsearch-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/aiohttp-4[${PYTHON_USEDEP}]
+ >=dev-python/aiohttp-3[${PYTHON_USEDEP}]
+ <dev-python/elastic-transport-9[${PYTHON_USEDEP}]
+ >=dev-python/elastic-transport-8.15.1[${PYTHON_USEDEP}]
+ >=dev-python/orjson-3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.4[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mapbox-vector-tile[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-api[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-sdk[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pyarrow[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ dev-python/unasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # REST api tests are a black hole for effort. It downloads the tests
+ # so its an ever moving target. It also requires effort to blacklist
+ # tests for apis which are license restricted.
+ "test_elasticsearch/test_server/test_rest_api_spec.py"
+ # Counting deprecation warnings from python is bound to fail even
+ # if all are fixed in this package. Not worth it.
+ "test_elasticsearch/test_client/test_deprecated_options.py"
+ # Running daemon for tests is finicky and upstream CI fails at it
+ # as well.
+ "test_elasticsearch/test_server/"
+ "test_elasticsearch/test_async/test_server/"
+ # require nltk
+ test_elasticsearch/test_dsl/test_integration/test_examples/_async/test_vectors.py
+ test_elasticsearch/test_dsl/test_integration/test_examples/_sync/test_vectors.py
+ )
+
+ local -x TEST_WITH_OTEL=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -p asyncio
+}
diff --git a/dev-python/fixtures/Manifest b/dev-python/fixtures/Manifest
index 14e9a8aba578..0753c0947315 100644
--- a/dev-python/fixtures/Manifest
+++ b/dev-python/fixtures/Manifest
@@ -1 +1,2 @@
DIST fixtures-4.2.4.post1.tar.gz 35345 BLAKE2B caab6f9a6a5f12687995ebe9e17a19ca717de34b789cd3ab3ac6910390b1e67b50dde675102c92e98740d78248505631c54143c25952adce7ce61bf0d91d3293 SHA512 a68842ff8730fe6fa5df642c4943f4618aa4617ad42fd7dfc6876732cb28a0d5652ae02cc7fa2b9d3933392862fd5ce43bc35c702054d192701bfdc62c9058c2
+DIST fixtures-4.2.5.tar.gz 48191 BLAKE2B 7d880de3ba78e09aad38750da685d23b794fd2b0063b76ff818c676f5030ad5c36660b0bd61c4f68a0e02e620c3afb135dba4a36b30506e25f8a30ddfdac1028 SHA512 43b1d6216e7feff925d4906d1247c7c6a95cf9221be2323d0b9898a94c44095f657d6adeceeebcccea0b65caee96569127905effb07ac04712d780714512c57c
diff --git a/dev-python/fixtures/fixtures-4.2.5.ebuild b/dev-python/fixtures/fixtures-4.2.5.ebuild
new file mode 100644
index 000000000000..68e3080eb6af
--- /dev/null
+++ b/dev-python/fixtures/fixtures-4.2.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
+HOMEPAGE="
+ https://github.com/testing-cabal/fixtures/
+ https://pypi.org/project/fixtures/
+"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.5.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/frozenlist/Manifest b/dev-python/frozenlist/Manifest
index 3353670f87ae..2a3e5f370881 100644
--- a/dev-python/frozenlist/Manifest
+++ b/dev-python/frozenlist/Manifest
@@ -1 +1,2 @@
DIST frozenlist-1.5.0.gh.tar.gz 46957 BLAKE2B 385b6439985256c5fd074582001a9c3d8ae82a0b839abfb3c2ff054ba3f5904d17740d7e49a17c96c571a0d8940933d292cc980c5a7bb30ae25fe88484ade185 SHA512 4486a3132038cf3eb29184bc27baab2f166078d25163da29114cb0595bd97c88848d88241cef39d42be9da5e2a99d14141d899bc5f268690c97bf38bf07c54dd
+DIST frozenlist-1.6.0.gh.tar.gz 49920 BLAKE2B e7f03eb3779e048d921f8383d34d82af82828ac587378c148d9f555cf69aa1324f63fb1a53e42bc3d411a647ccd3eabf5b276a9c2ebd7af14d03245c8f4d4721 SHA512 f7e3d8741335c5ebdb3e78684c6e4a91c2f7f389134f4b869d8ea67d167472814867f14e303211045977f0d409d6b1b9478b7cfa7718af5ae9bacb49d147af58
diff --git a/dev-python/frozenlist/frozenlist-1.6.0.ebuild b/dev-python/frozenlist/frozenlist-1.6.0.ebuild
new file mode 100644
index 000000000000..16c29d551595
--- /dev/null
+++ b/dev-python/frozenlist/frozenlist-1.6.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+# upstream supports python3_13t
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A list-like structure which implements collections.abc.MutableSequence"
+HOMEPAGE="
+ https://pypi.org/project/frozenlist/
+ https://github.com/aio-libs/frozenlist/
+"
+SRC_URI="
+ https://github.com/aio-libs/frozenlist/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ dev-python/expandvars[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # pypy is not using the C extension
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ local -x FROZENLIST_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf frozenlist || die
+ epytest -o addopts=
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index cde2d60399a2..0a1154264963 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-6.130.13.gh.tar.gz 9544282 BLAKE2B 9a74af5cab1562b5eb2fc00fe1ea6
DIST hypothesis-6.130.8.gh.tar.gz 9538996 BLAKE2B 7f2779a69fbb1301cf7cdf0b414aff28e60cb2efb4d2451f2962cda1c048401d1e532e205c993691e1b2aa0f71af1a67274f40dd03a449db4f62de01c22c9dd8 SHA512 85df9ed0477d37b9fb96ada20aa41b8b65b27496fb0a4cfb44ebbab94d6859bc2767e8529f76b53e6f28cc122eea8529784a97b4e4b1803004072e317ecee00f
DIST hypothesis-6.130.9.gh.tar.gz 9540297 BLAKE2B f1739aa493baf7c908064b6450f601576b5e71ad254bf3b45cb2cdcf6b34f98f647beef5ed939e099c33e60cfe5ffc8b1b13b85ac115361e3a19c34ca30fef04 SHA512 11ac4ae33a53d622eaebdf6106b13d51141a57140c268d465d202650ae79925777fbebde828188b2ba1ba87f6e062f8d014131eef5b0d2315a327a9dcea7d30c
DIST hypothesis-6.131.0.gh.tar.gz 9544526 BLAKE2B 8500bdcac754b34fcd7134ff8119fd90dfe29c2087b0900f20e4a303fb88843bf6c5aba1140c52e494af2cfa93424915152bb6a9d752fab437afce7bdf94eff6 SHA512 472b75cdd05e43115c750a0ec3cf025b3bac11c3de6fbdbe46c46efec93a0e3aa254f219ea0a9643652f9452d687c5ee317c145be88375cb72a29241aec823c9
+DIST hypothesis-6.131.2.gh.tar.gz 9546087 BLAKE2B b400ceb3570a54a30d65f2fdb4a88ce15297f09ecb6fd9d669c6eb6fa4b4bf0dc4545267f64ed48b2e81eb82ebfcd92461221bcf5d32028eb138f546715c3df7 SHA512 5f18d421c9070a0c9762615266cb12e1acfa8257c81af6aeace7790a03b1b20c27e588fdc87d9ca4faa467735f11e2092cb91cfad96a5df8209329f40f9ecea3
diff --git a/dev-python/hypothesis/hypothesis-6.131.2.ebuild b/dev-python/hypothesis/hypothesis-6.131.2.ebuild
new file mode 100644
index 000000000000..ba7cfa420917
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.131.2.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ python3.1[23]*)
+ EPYTEST_DESELECT+=(
+ # TODO
+ 'hypothesis-python/tests/cover/test_reflection.py::test_clean_source[case-5]'
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/lit/lit-15.0.7.ebuild b/dev-python/lit/lit-15.0.7.ebuild
index 12cf6ab36936..c1626e34b118 100644
--- a/dev-python/lit/lit-15.0.7.ebuild
+++ b/dev-python/lit/lit-15.0.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/lit/lit-16.0.6.ebuild b/dev-python/lit/lit-16.0.6.ebuild
index 085201e2f47c..95b40ccc3a6d 100644
--- a/dev-python/lit/lit-16.0.6.ebuild
+++ b/dev-python/lit/lit-16.0.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/lit/lit-17.0.6.ebuild b/dev-python/lit/lit-17.0.6.ebuild
index dca6306c9cc3..9f6e30834d23 100644
--- a/dev-python/lit/lit-17.0.6.ebuild
+++ b/dev-python/lit/lit-17.0.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/m2crypto/Manifest b/dev-python/m2crypto/Manifest
index c59b22254a3d..32cdb194c429 100644
--- a/dev-python/m2crypto/Manifest
+++ b/dev-python/m2crypto/Manifest
@@ -1 +1,2 @@
DIST m2crypto-0.44.0.tar.gz 363805 BLAKE2B 0a61574ebee8a82ff2b00fa595870fe8d7e965be893db1e82bd1796703ecec16d7c476185b4b4db754efee1e698f60f20c783d1da04f77ee604afb9a346a2077 SHA512 8f8e9d88852eb003eaad9242ca43a0218354d9af3a6f0d9666ceba0ef2c840cd0aca0ad8493a222eb1de9dd0253c0204dde5530fd6a59ee1c3f29be83ec23458
+DIST m2crypto-0.45.0.tar.gz 252859 BLAKE2B 385ce891e2a46e84736f9d065c21910a4ecf66a1854c18862e89d848a7f39666cc6cd925a91f0f6fe41c220a5f1fa37127fe6ece76f433c60723cd97393b68cb SHA512 3fad9be9d1d2a84b359e58d027ca5356cd4fe30b88fc5ed7e3e248afbff3e7152574bba2eea5fa87460f1ab4f09617e852b55584707146f59e7c15f6b66f19d5
diff --git a/dev-python/m2crypto/m2crypto-0.45.0.ebuild b/dev-python/m2crypto/m2crypto-0.45.0.ebuild
new file mode 100644
index 000000000000..719402c27bea
--- /dev/null
+++ b/dev-python/m2crypto/m2crypto-0.45.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2021-2025 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="A Python crypto and SSL toolkit"
+HOMEPAGE="https://gitlab.com/m2crypto/m2crypto https://pypi.org/project/M2Crypto/"
+SRC_URI="https://gitlab.com/m2crypto/m2crypto/-/archive/${PV}/m2crypto-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="libressl"
+
+BDEPEND="
+ >=dev-lang/swig-2.0.9
+"
+RDEPEND="
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( >=dev-libs/libressl-3.5.0:0= )
+"
+DEPEND="${RDEPEND}"
+
+swig_define() {
+ local x
+ for x; do
+ if tc-cpp-is-true "defined(${x})"; then
+ SWIG_FEATURES+=" -D${x}"
+ fi
+ done
+}
+
+src_prepare() {
+ if use libressl; then
+ eapply -p0 ${FILESDIR}/patch-src_SWIG__x509_i
+ eapply -p0 ${FILESDIR}/patch-src_SWIG__lib11_compat_i
+ eapply -p0 ${FILESDIR}/patch-src_SWIG__lib_i
+ eapply -p0 ${FILESDIR}/patch-src_SWIG__threads_i
+ fi
+
+ sed -e 's:test_server_simple_timeouts:_&:' \
+ -i tests/test_ssl.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ # setup.py looks at platform.machine() to determine swig options.
+ # For exotic ABIs, we need to give swig a hint.
+ local -x SWIG_FEATURES=
+
+ # https://bugs.gentoo.org/617946
+ swig_define __ILP32__
+ # https://bugs.gentoo.org/674112
+ swig_define __ARM_PCS_VFP
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ "${EPYTHON}" -m unittest -b -v tests.alltests.suite ||
+ die "Tests failed for ${EPYTHON}"
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index f435a29c5372..60fdd01c941d 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-9.6.10.gh.tar.gz 14812031 BLAKE2B 505d6585d99aabd1b97f3853173aaf83085c58064c0f76d91517e92de311d52e7ae3c6c2ed71c66bbf013e88d6b38ae5eab64799076238bd46e2e36b745541b7 SHA512 c2589ccc0ffe21217d57fb91a5e247c026f2c32496767a72d604152c80913e03d015291fe3a31891618e53c167348c2cd08db5b986ac0c8c820e091f381d596d
DIST mkdocs-material-9.6.11.gh.tar.gz 14819417 BLAKE2B f38539b2e62d3a44cf3296410817b086d84bfeda8f8d66ff6adc135bb9f31a26ec73bbb0bfc32d9b9d050698bbeb7d8871a92d9382e28b8c78c3cc6b26d13278 SHA512 478a719d4bd46002cd9708a3c71e68c0843703ea8465631fcb5c188f45816673966be7a6c20a9b8886b195d09f153cb7881af3e1471fe11c41a1df2a58aee390
+DIST mkdocs-material-9.6.12.gh.tar.gz 14819122 BLAKE2B 9e420351d4eb103e0f5d6a0e8d1fee74c15da95958aec9c44ebc9beccfd586a6454568d8fb70d106521e0678fbbe794a107c1b0107f2f4276888c6595460495e SHA512 6953a06646ae301180fbe7e30d7c64563c89cf984c5f62c44edceb36b923e66ea7c5d9d7dcf7442a23fcb3efad860c67175d8ac147ae594055568b310ffb2c7f
DIST mkdocs-material-9.6.9.gh.tar.gz 14809122 BLAKE2B 14c07f44c93de9c74ca6ee64b9be0ef2b7c06f40fa3bca95fbd935cec783ee16d02c50c77ed6b0b62fddaa9f0dcba769db1d86ca4da4363aa48c4940d5eb83f9 SHA512 166c7a5fe445e07286ccc36040a3caf4e070ad86fbcb556fa380ed91b6adfd96c881762f0cb7b96ee1f5d04ff4d65018ad119973e07920c8dd037f32c1322c46
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.6.12.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.6.12.ebuild
new file mode 100644
index 000000000000..7faef3c81d56
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.6.12.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+ # import backrefs only when used (i.e. never)
+ "${FILESDIR}/${PN}-9.6.7-backrefs.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/nanobind/Manifest b/dev-python/nanobind/Manifest
index 24835af6c3c7..5cdced92d953 100644
--- a/dev-python/nanobind/Manifest
+++ b/dev-python/nanobind/Manifest
@@ -1 +1,2 @@
DIST nanobind-2.6.1.gh.tar.gz 905030 BLAKE2B 7e29ab9da53df88e9034bb35fa53ae0e4a8b25ea92f0d1480341164b62b12d4d809bd50260c05d33f0f2494dff8cc9f445199653a506a2685a531c9b347816a7 SHA512 0807866b98e3089df98d1c88474f6ac31f8ae0d1838b181c7f3462ff2b6f344026144de1b1884d2ee58c126ac275135fa1c9c58c6158647c06509d5cc20fa84e
+DIST nanobind-2.7.0.gh.tar.gz 913793 BLAKE2B d6a4266a44720eceaa0d65555ff7938b6619d68f449c6b99b9d7f4903eaefa5b385f60aa58a24adc0b6320f46c5a946fe69f0f557c80653d7255cc73ee3e4cea SHA512 1afa338423cb5f3dda451d1fadb99dc05ab52c247c342d84205eb48ad13c0dff0a579edb85a3a230bfa262c68903ca1676031f0c816fa590101c64cf028f6d5e
diff --git a/dev-python/nanobind/nanobind-2.7.0.ebuild b/dev-python/nanobind/nanobind-2.7.0.ebuild
new file mode 100644
index 000000000000..0f7ceddc919f
--- /dev/null
+++ b/dev-python/nanobind/nanobind-2.7.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Tiny and efficient C++/Python bindings"
+HOMEPAGE="
+ https://github.com/wjakob/nanobind/
+ https://pypi.org/project/nanobind/
+"
+SRC_URI="
+ https://github.com/wjakob/nanobind/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv"
+
+DEPEND="
+ >=dev-cpp/robin-map-1.3.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # https://github.com/scikit-build/scikit-build-core/issues/912
+ sed -i -e '/scikit-build-core/s:0\.10:0.8:' pyproject.toml || die
+ cmake_src_prepare
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ # XXX: nanobind installs a CMake config file which by default passes -Os
+ # We currently patch around it in dev-python/pyopencl. In future, we
+ # may want to add some override with Gentoo specific environment vars.
+ DISTUTILS_ARGS=(
+ -DNB_CREATE_INSTALL_RULES=ON
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=OFF
+ )
+}
+
+python_test() {
+ local mycmakeargs=(
+ -DNB_CREATE_INSTALL_RULES=OFF
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=ON
+ )
+ cmake_src_configure
+ cmake_src_compile
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/tests" || die
+ epytest
+}
diff --git a/dev-python/pydantic-core/Manifest b/dev-python/pydantic-core/Manifest
index f8636ecd783e..5d240123d145 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -52,16 +52,22 @@ DIST portable-atomic-1.6.0.crate 140689 BLAKE2B c91d06e04a87c9a207233d8a850859aa
DIST proc-macro2-1.0.86.crate 48958 BLAKE2B 4b89e07f23af8328dbb34fe2b3f1b202f1e6a3885a6269740a23359b41bb4099ac2484565d3b2b0936261689ca525785ac620c766997234fd8d0f409e80e5ea3 SHA512 1cdb7e22a35ae231d880c9420784c9acf97bda2db258b3d34aae5061dc1858449defe19a49e12c6a4173906aa72a4115059ac2db0fc760205fd2ab8b5b414434
DIST pydantic_core-2.27.2.tar.gz 413443 BLAKE2B 2755ba694b17894ff89704203c275315dc6a600e5e89965f24800ff032802168a9fa5bbb26e9714dae42f645e34e0ac32191415fae04bd53a8d04c41f1d3e2c4 SHA512 4e0bc0137463d3a76bb584da76751916ddaa18383efbe15a303880649df67de22c67a8a6e5f889c76292c4557914811d942fd3373dad65b63d9fb1f84f34ce3e
DIST pydantic_core-2.33.1.tar.gz 434395 BLAKE2B 3819c69b829655403888ac7feff11081f31cb459ca41bef7b4aec2afcf3285126ab01e8ba04c91ac7b1f74495dc85236bd5b7da9b3673497fc3eb8fa6eafe992 SHA512 f6e178296b4e47e498e2c5f65ee00c83fdd6f29af670215acf014fe2e29eab1b4072ab27f4c060d91e74171652e077ec561b9857f6bca20c6518f3eeec332533
+DIST pydantic_core-2.34.1.tar.gz 435281 BLAKE2B 8458285b41874b2af12ab9e167606b36653fbe1e0febe22b59c6cb9ba1cf2e936029c18e4123d1f4ba4653eda1b5476984983dfd736b95c6654336555852ea14 SHA512 2ecf2d683c6b144ac6a5028a1896f4a2b6abd944ab8010fed25a5b7b7aa3093f7c12dceb5cd14cef7eea9194c1bef9866faf26c554636dfc5fdc191b3af577b6
DIST pyo3-0.22.6.crate 546746 BLAKE2B 2a6f8c5ce2ee96e1812177a11c5fad7e15f3a73d9e30850edf0855b13db6cc95427e186883b4aae25a2d2466d3fe82f56180a39f3e6e0a54bb0a3ef78d495400 SHA512 d746007eae22f5b7bbf173759c61cbd2aa893898d88b8be5680a0237deec4d113246edf5f62fbbec3579ad4bd7307499b94b887ec306112ffe3df5190fe70e44
DIST pyo3-0.24.0.crate 1108432 BLAKE2B 03098e1ed1f2bcb489ab5fbaf2605631f75804ad138591ae88975c287b8e7544e5f70ef7e3261625075498ac00545b79f6c0b5aab3bcdee2897cbbfabc3f7e87 SHA512 2b9be3cc780c48198ccad08c304053c5248d7c3b7a32e8a3eeba48246b962aa71cbf31ab8c49cab9b555933cccd447412761017b477019a35dc2598999fe63ad
+DIST pyo3-0.24.1.crate 1113050 BLAKE2B 5a203f8c845b08b40ed64561d385d2e4134a38916723ef6b0b4be8f44fa9de594c4eca138c318ad83a156f66273b20b55acb19897dca3eba5d479e6333be815e SHA512 6c2a8f9d554a3cf151a796ee20610b596ebdbf9e642d6b2ddc35d0142841d7be51e739ddef4332cfa8c4625c972d9705eae5f694b4d8907882bec4add7c6c6ed
DIST pyo3-build-config-0.22.6.crate 31369 BLAKE2B a1a72de120c4ac4f23a3faaf9b2e340231d7a778a29083ef25fd863fa213afb2a9b720333e3d46a6e1d32105f63073276a23b9bcd999a97fe71eaff3afc7db99 SHA512 9ab44c830e56ddb9ee537ce438fc690664d2c5416f01cdf72498ce062e4c1e7192eac8b7dc2de86c9f2212890b133b69a66209b1615c4eabdf4eaa6882a980fe
DIST pyo3-build-config-0.24.0.crate 33982 BLAKE2B 7972eb69fafdfc73ab7e2ef65498a05a5eeb122e332d10db9990d1a7849fc651a9179fa7dba71707150b005258a7f32fe711d7068fac5c5ca071abdb10bdb55d SHA512 f1f571ead6731d1d775210a02df5ca8ef850460eeabfbe04552403477f9d656eebe25a8833ea03b2e2bc7080bdcf9c6ce3b2b3f9b0f746c316ee31b11b5a2365
+DIST pyo3-build-config-0.24.1.crate 34020 BLAKE2B 34ed5a2385de138fde0308439c5fcd8a92a48b215b41799838d5b3106b0845f70023ccd97d60c39cea4729cd8bd850e1ef4e372ac332a06037dc5dd574b09834 SHA512 6008f6737685882b2fd958fcc5f171c0ddc10520631904ca759f857117241dc0a648d4cf30d9a84483662bfbc435eccc3deed9981f98b88016b12a5944ae3ff7
DIST pyo3-ffi-0.22.6.crate 69352 BLAKE2B 99eea6ed87001b23fdeb263937bc14be0fadadc1ad77d4fa8834045ba2fc6ba5c0b89f4051916a058b7640be655afe22785b1da42aac8a32d10209b7b37bf810 SHA512 616e51a0eae1207830fe95251d5b62f126daf446bec68ac98cb1b8538aaa59761dbde62d446a9ee205c23453dbd32bd8ecb15e26265ed1fa1e5e2056efd96369
DIST pyo3-ffi-0.24.0.crate 76274 BLAKE2B 2f5873a9b2e6bb6a420056a2cfc063e6e04c184bce58a39498307730aa5e061f277de6e805a70ef2448d4473b0bf32e8413c281438464391ffce457749d43c91 SHA512 2206cfaaa157ce7ab7b480823af0f96524e9d78abab1b042c00fd74f872a8df9e9014a3ab1db28492b750e8ecc8150f6519c3190b7ef297837597b72b64f999a
+DIST pyo3-ffi-0.24.1.crate 76435 BLAKE2B 1fc7b122f0c1064382bf304491617abfd5a8f275ab7511cf31ed892576728b7b55814ea454761bb0fb4d01e263daf8f2c302504fc624970fc9940a5a2cb143fe SHA512 b06265f3852f419a2a788fef049cf9032a5dd4fa6ca818d8d5ceae24b3642164497c61e67492a6576f1c8b22d66e2d887b295c48317fee94f8db8e14de25a71e
DIST pyo3-macros-0.22.6.crate 8182 BLAKE2B 81998e4f4cb325763e4d3477af05b332e184cabf6391761f850d23508cebcf8d496ce12f747ea241523bb3899886eb20494b076a0651151744bb81d52901a1b4 SHA512 63f7a7b42e099742518c8a3bbc7647e98debb5500d08c39e11e8140fc146e790ab06e005d8d14c89aba79ebc5bf04fe1c92c0e9c5b13421307d3a4682d044179
DIST pyo3-macros-0.24.0.crate 8850 BLAKE2B 7470b3c8af49c3da5da979a08051d549255ed2bbf1e77e2e186ed43daa832ffe51c28c732e5d390effb8662f66c5c138a517a07cd0e90a73a4476e9d018eefdd SHA512 e949224b6ff3368f4594eb946859afd777efc43ca9fd436e176eef9d4549bd7428d04cee55ea8af02c8cb066dd9396a405de5ee6290a966ee52a0f1c64fd2749
+DIST pyo3-macros-0.24.1.crate 8866 BLAKE2B 48436f5f1a6a6e93d916873be5e18cfdc892d59479e4963f267d2a1805bd134eed6890d53915fdafa8ff93c7458d136b57fbf783bee18f34a6087f7819c9dd92 SHA512 7b9fc55232284d7b138e3e9c9a9c864a1b0d9b5317c3263a057df5dc1976087e934558d6c046d784735e063f1009df35b91776c850ad709800ca8b2be8e993d8
DIST pyo3-macros-backend-0.22.6.crate 66312 BLAKE2B ec0b11bee1ad2192e8d95cebab0075d6ec5bf628e3344b86fb8e20a6d0bc1f891b56ccfa4622840a609480581f32bd211b9a3d1dd989716cf255efe3fdc89331 SHA512 87463939b5a5674e30e8ca05ae747f652f8679f0c5c85d20967e9910ad853768a769a914580e82e409188fe4add80a3117ccb9da24c250406bc6f76fe4453799
DIST pyo3-macros-backend-0.24.0.crate 71998 BLAKE2B d3cd57fdf2a8b0f750d8f00fa36f32b95f9f13adf9453e0823fec0791ae99af018db6e596205ff9f9f555489cec024e23eb19c53379c09381c0cb209d8a5a695 SHA512 58b06343fa03b2b7aacdafcf219865bbb5b80cc2b28fdf16133a7d43fb7723cd83718e067bf6e01f96b94738bb83cda87d4ac2703d8d59588708d938df8e66eb
+DIST pyo3-macros-backend-0.24.1.crate 72588 BLAKE2B 35f1810f5d1da5b5f0b5533d0c9e832ea7c7a7a5be20711d9694b84aad62d13b8a9a1c498c61a9a1f2679fda7d25bf508536d38cded43520ed97524681dcfabe SHA512 8378154aa74c75a4d4533de673515298d8ada8377feb687694688bcf21fc5c2bcf856c2db7ce172cb038936b407e57a665ad6c3b9ce1a499a474e54c6bf119ff
DIST python3-dll-a-0.2.10.crate 74573 BLAKE2B 770c5b070f4dd1b9639b8aff59bb733575eb1117ae8e510818b6e13bdc69b22bcad395bb5cf0d1931de3562775a56e1404bb7fca7384b62e5e782e6284fa1494 SHA512 c1171c29f6914ff809950a9f6c330638e72c58c7c691bf4d9e765dee47166915cc91131b494b65aeb3a812543690c5072f2f5ff32cdebb76ba588330f9c74cdb
DIST python3-dll-a-0.2.13.crate 85018 BLAKE2B 4531172b7e985041fe3cf7d164c67dc74e5974fbdbc80f1b7fb5e351d8115cda0a7a8f64c037ff7fcf4c20918fa2a53a29c8784035c571e0c46be39cdc7faff4 SHA512 01438c7af7a936ae6b95e1b81f4596627043a4b02eea85241a18ed137c23dff644f3e8d8eeb45b8e64ef1fd2693ab47fde47b6341dfc56f6c4eca032da46647c
DIST quote-1.0.36.crate 28507 BLAKE2B b93495163ed205e33543ed45f084870240d479071d643704b6e348fb9ada6e1d8401893c13348b9964f4b6b17ddb96cb5458eec540f0d761655fcb96a4cd9129 SHA512 f1f002a912692f7ffd4912ca980ec57ff4aca3a7d9e2e42e9e3409e2105c9f59d86c05719f6af309bccaef2f8843b0848a6e3afda3356e045d8e7cc5956ae685
@@ -77,6 +83,7 @@ DIST serde_derive-1.0.214.crate 56630 BLAKE2B c284561109e5d60e103f1bb421e4da48f3
DIST serde_derive-1.0.218.crate 57782 BLAKE2B b2244847b41f1aa396352bcea886d6a28d13ede23ae6ceb813143849cc107b3fe0cf054687d9f35bbb9db4e95c619422d9710532fcfffff291280cbe3649a433 SHA512 e89c076b0aa22ad74010f5b6a60397b9b78b59ca50a9660b29ceb1fd608cab820c47e787e450da306062c0cea1ade7142a7d4626a77aa0ae486096c130442cde
DIST serde_json-1.0.132.crate 150549 BLAKE2B a49aef7737fad2e6f6ec79cb6da00c734e7de7ef16be321846d1f6229534b58e15ceb0f6306eeae6f85bf07431d82959c0a56ed1394d21a67b65c8c48e971f3f SHA512 9d157ce7d705fee8245569e7c577310782b69675a6e459f21904544b824a1ca5c9b445d17419fee438dfeb6fcc35343ba14e022043fffade0210b6d2c1b5795e
DIST serde_json-1.0.138.crate 154769 BLAKE2B 42f146a688dda70f3afad1a6ff989823f2e2cf4037c2a4d019b87155c7e37d86f649f2a54b373b787ac9021e42ac3be5fc27ea975b62e08865802afb993196bc SHA512 31678f1289301d65a088b305726c4fa6b5cd17b01527abc8dd7fc09720c98b2e86bebd5b20d7e9e7b7e41c42829db3a7e705172eca20d0c333e6c09131e1fe09
+DIST serde_json-1.0.140.crate 154852 BLAKE2B 733aecfb88fc37de37b60fdd33a45fecc2bf0ac2165b81bdb12665de7e26633836160e927be5d538eb2056a799e85ca4a1008cbd30af23b72a594643c6015f22 SHA512 bafa26fd43ba30cbf73572b8203292b1f275995636e9dfc3d47954939453fe4ecf0c60f25d2af1ec16c7cb0e7ce3b96cc07507d1b53b7db566fe7cb2624f0e12
DIST smallvec-1.13.2.crate 35216 BLAKE2B 31a268aad595c06cdb078577a97b089dbea156a0df307a3e6aaaf4861bd9a680c5b11921da9dbdb1bcfe17d58c0cbede1ffe6bba3aef59b384fb1b9703c62d27 SHA512 a97c758b668e40ad9eb572e65feeae4954e09200a04ab92e26a13b48894381cd3a3d2571070c4b7a5e181182e1ede9688f990650342ec69ecfe1a264d234c679
DIST smallvec-1.14.0.crate 35561 BLAKE2B aa8ee61800a6d13eda5acb4e9dc03543160849479a96a72c50ab38013b23e9593a665773b455a09777038edd436d7a35b501f6d4a0e16ff49544be60345a1e50 SHA512 90de38f208f551cdbf4980fda2314dee57d4e2bbf769a01c47bc849189e9243474932052faa92fe0ca59ecc9c5d1ed84091ef87f724343d38ebbbf710ba232be
DIST speedate-0.15.0.crate 33698 BLAKE2B 81a1c87bfeaab44aeb6f7a813275b139b26a618af4b24d3018e866a2855eca897144c863a2dfabec20912046fe17a60749c41ce8cee45450137440cda5d7d934 SHA512 2c3a210e06e3960e2dd24f696e27141f00b186d5ea58272f1ac11ba455d4467459fdb076a65766c2fb242163299aea08f692e86553fe4edccf2e9714f9a9303e
@@ -102,6 +109,7 @@ DIST utf16_iter-1.0.5.crate 9736 BLAKE2B edcd9776113d4d2b267a9cbd58cab11c5497ff1
DIST utf8_iter-1.0.4.crate 10437 BLAKE2B 1e7a8b9241ebbb62cb497542b970473780f735010a0af900771a43abceae4e7f362d21d4f79f7c00630e4549400875ea17574b2cbe4f5ea19e8ed428e3b5577d SHA512 a72671995b3eb295581c60dc632e4a25ba257227fb5d58a8bec322428b6d69529bba79a6f02b8e7ee6698b7779d9d6695f5badad73e07c254b00c9d6256c9090
DIST uuid-1.11.0.crate 47683 BLAKE2B 37a601b0fe7ec57333613f8c18ada76bd784c43c8af7c252200a7c9c76b445b179931cdf727b5ddae3ffa3fa29c5a13507fb0f2bd604d306982843e042038314 SHA512 0cd1b95fc2247bf4e627de6abb41e332ebaf39e5720640e52b9f235f7a0e2d451e7a486efdabb616ce00e47832d21919611683d0e6a71c86a86f290940cfda32
DIST uuid-1.15.1.crate 58728 BLAKE2B 9d6747083e096b795ef69dab3b1c14cb67db8838dd3814e23a1b4869b8e5b4c4d067120209550a107036c195c86238df2d2036bbe21f95e378e17d8dcb3c3f1e SHA512 d389b642f2b5a6c10eb951e53cc638a5e615f89bde4a727f7289d0da2733d90e581e80ae735941b03d314237423037d059b07f9597c351cea1c3d7e7884ff144
+DIST uuid-1.16.0.crate 58549 BLAKE2B ec9eff05e887f519776a7ad860334ef856d06479f402d2ce7d600523e15b3357630e3c7747d3c87cdd06cdc226e017d8fddee4ab81e172fef12144d62c4af606 SHA512 2165fcc016fd318e00a07fbd6f68f7b4e4c3be74ddfb9475282d5d7fccb10a76b9a660bd7b95884714b11fd84d783ef20907399ac5f5de95fab6226a6e349c6a
DIST version_check-0.9.5.crate 15554 BLAKE2B 131e75cc287518831e142430e2a39b48e4275874f4473780d47a27552294097aa1cddb65c385583e1022478f940b495eb43c24a8b1617b8ac5a24af3340c0d72 SHA512 d11d5a2240ab0c67ea69db56561ce202201edeef9a8e5eda3d9ae7ab7bb5752d8f343fe7f6536d8383de8d55f9024efa84f66a0c21e69563b7a38c4a628014db
DIST wasi-0.11.0+wasi-snapshot-preview1.crate 28131 BLAKE2B fe501889f25d65e2d032f885cc50c4f8bf7dd70fd5cbc438de349838370d8699e9627b0a4fc76030ea9fe6d508f41d0c9928a875fdbc47e73bfb17241cf7b155 SHA512 043500ab28cd9cb779475255da5d109ebab7fccca72b64873dc28d77bc5a157ba8d96b9e8f05223b5b36c7089bb7b4ba87657fc69bac16b78972f897294a865f
DIST write16-1.0.0.crate 7218 BLAKE2B 548796314339463e4b71f8af3d344e45dc89480e103180b6d56c90fcb816ad1a37ab2ba20766c4b9754f2cc686752eb1f3a5a12ec1ed4369a9cef749ad4f3e97 SHA512 655a207b8082bb88e462f992ecb4833cef9d590da06d6356b41d109df2862b49ee5705189c78a607b549e7343035119d158020d58fcad49608e51659357a83c1
diff --git a/dev-python/pydantic-core/pydantic-core-2.34.1.ebuild b/dev-python/pydantic-core/pydantic-core-2.34.1.ebuild
new file mode 100644
index 000000000000..20391e537e22
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.34.1.ebuild
@@ -0,0 +1,178 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+CRATES="
+ ahash@0.8.11
+ aho-corasick@1.1.3
+ autocfg@1.3.0
+ base64@0.22.1
+ bitvec@1.0.1
+ cc@1.0.101
+ cfg-if@1.0.0
+ displaydoc@0.2.5
+ enum_dispatch@0.3.13
+ equivalent@1.0.1
+ form_urlencoded@1.2.1
+ funty@2.0.0
+ getrandom@0.2.15
+ hashbrown@0.14.5
+ heck@0.5.0
+ hex@0.4.3
+ icu_collections@1.5.0
+ icu_locid@1.5.0
+ icu_locid_transform@1.5.0
+ icu_locid_transform_data@1.5.0
+ icu_normalizer@1.5.0
+ icu_normalizer_data@1.5.0
+ icu_properties@1.5.1
+ icu_properties_data@1.5.0
+ icu_provider@1.5.0
+ icu_provider_macros@1.5.0
+ idna@1.0.3
+ idna_adapter@1.2.0
+ indexmap@2.2.6
+ indoc@2.0.5
+ itoa@1.0.11
+ jiter@0.9.0
+ lexical-parse-float@1.0.5
+ lexical-parse-integer@1.0.5
+ lexical-util@1.0.6
+ libc@0.2.155
+ litemap@0.7.3
+ memchr@2.7.4
+ memoffset@0.9.1
+ num-bigint@0.4.6
+ num-integer@0.1.46
+ num-traits@0.2.19
+ once_cell@1.19.0
+ percent-encoding@2.3.1
+ portable-atomic@1.6.0
+ proc-macro2@1.0.86
+ pyo3-build-config@0.24.1
+ pyo3-ffi@0.24.1
+ pyo3-macros-backend@0.24.1
+ pyo3-macros@0.24.1
+ pyo3@0.24.1
+ python3-dll-a@0.2.13
+ quote@1.0.36
+ radium@0.7.0
+ regex-automata@0.4.8
+ regex-syntax@0.8.5
+ regex@1.11.1
+ rustversion@1.0.17
+ ryu@1.0.18
+ serde@1.0.218
+ serde_derive@1.0.218
+ serde_json@1.0.140
+ smallvec@1.14.0
+ speedate@0.15.0
+ stable_deref_trait@1.2.0
+ static_assertions@1.1.0
+ strum@0.26.3
+ strum_macros@0.26.4
+ syn@2.0.82
+ synstructure@0.13.1
+ tap@1.0.1
+ target-lexicon@0.13.2
+ tinystr@0.7.6
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ url@2.5.4
+ utf16_iter@1.0.5
+ utf8_iter@1.0.4
+ uuid@1.16.0
+ version_check@0.9.5
+ wasi@0.11.0+wasi-snapshot-preview1
+ write16@1.0.0
+ writeable@0.5.5
+ wyz@0.5.1
+ yoke-derive@0.7.4
+ yoke@0.7.4
+ zerocopy-derive@0.7.34
+ zerocopy@0.7.34
+ zerofrom-derive@0.1.4
+ zerofrom@0.1.4
+ zerovec-derive@0.10.3
+ zerovec@0.10.4
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic-core/
+ https://pypi.org/project/pydantic-core/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+ >=dev-python/inline-snapshot-0.13.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -i -e '/--benchmark/d' pyproject.toml || die
+ sed -i -e '/^strip/d' Cargo.toml || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+ local EPYTEST_DESELECT=(
+ # TODO: recursion till segfault
+ tests/serializers/test_functions.py::test_recursive_call
+ )
+
+ case ${EPYTHON} in
+ pypy3.11)
+ EPYTEST_DESELECT+=(
+ # different repr() in exception
+ # https://github.com/pypy/pypy/issues/5220
+ tests/validators/test_arguments.py::test_error_display
+ tests/validators/test_definitions_recursive.py::test_error_inside_definition_wrapper
+ tests/validators/test_string.py::test_invalid_regex
+ tests/validators/test_string.py::test_backtracking_regex_rust_unsupported
+ tests/validators/test_union.py::test_empty_choices
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf pydantic_core || die
+ # tests link to libpython, so they fail to link on pypy3
+ [[ ${EPYTHON} != pypy3* ]] && cargo_src_test
+ epytest -p pytest_mock -p timeout -o xfail_strict=False -o addopts=
+}
diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index 51d22c190a1e..474c29fadf0a 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,4 +1,2 @@
DIST pfbfer-20070710.zip 677333 BLAKE2B 100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df SHA512 6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
-DIST reportlab-4.2.5.tar.gz 3581379 BLAKE2B 560175a5180f3e991a3bed26f40b1c73b80a0f7dde9a30be2693ca0008d5272a3c1903fa930112e5f023e433a45c6ce384f9f239335c12400434a390a25ca501 SHA512 1daf01a03dd12770d40dbc1be66f0128a63953eebc97175d5cdf9a30cc6f827bc7a50e4f12cf0def8edecd3798fdc1fe009b3b92b0a252ca8a1395f83d6e970f
-DIST reportlab-4.3.0.tar.gz 3499157 BLAKE2B 0f8e38d637f136b341fb85f8c479eea8bce18ce359fd96b62dd72692eab8fdb9890aa1e91348c400e2d389c3302545044163dd58d10e61d1b2a2878d36cd303f SHA512 5c7e7d25016bf3bddf1060c2c72ce138a0aa81a47571474f62d760a4ce7415c355905c81b92960900d51da390cb28c1d8d74e9a0b84a0ec6ab1ee6e246e7e9e9
DIST reportlab-4.3.1.tar.gz 3499248 BLAKE2B 972d1fcba0dc69ab8c9ae1517fbca27a03fae70f5aa358d0837b12c1ec38f94579b91dee2a8d624e14c70cff71ca48889437a0af2e034d726cc3b9aad5e3d6fb SHA512 e388f29828c542d2db5d3b2d59f799d01806a971d840045360068f86015e59ef0c78a4e991c287227b7375ac3f1696adac3f3dbcc359f2426418686e0f29875f
diff --git a/dev-python/reportlab/reportlab-4.2.5.ebuild b/dev-python/reportlab/reportlab-4.2.5.ebuild
deleted file mode 100644
index f2ede4279799..000000000000
--- a/dev-python/reportlab/reportlab-4.2.5.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Tools for generating printable PDF documents from any data source"
-HOMEPAGE="
- https://www.reportlab.com/
- https://pypi.org/project/reportlab/
-"
-SRC_URI+="
- https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
-"
-BDEPEND="
- app-arch/unzip
-"
-
-distutils_enable_sphinx docs/source
-
-src_unpack() {
- unpack ${P}.tar.gz
- cd ${P}/src/reportlab/fonts || die
- unpack pfbfer-20070710.zip
-}
-
-src_configure() {
- cat > local-setup.cfg <<-EOF || die
- [OPTIONS]
- no-download-t1-files = 1
- EOF
-}
-
-python_test() {
- pushd tests >/dev/null || die
- "${EPYTHON}" runAll.py --post-install --verbosity=2 ||
- die "Testing failed with ${EPYTHON}"
- popd >/dev/null || die
-}
diff --git a/dev-python/reportlab/reportlab-4.3.0.ebuild b/dev-python/reportlab/reportlab-4.3.0.ebuild
deleted file mode 100644
index 04c9bc850c66..000000000000
--- a/dev-python/reportlab/reportlab-4.3.0.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Tools for generating printable PDF documents from any data source"
-HOMEPAGE="
- https://www.reportlab.com/
- https://pypi.org/project/reportlab/
-"
-SRC_URI+="
- https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
-"
-BDEPEND="
- app-arch/unzip
-"
-
-distutils_enable_sphinx docs/source
-
-src_unpack() {
- unpack ${P}.tar.gz
- cd ${P}/src/reportlab/fonts || die
- unpack pfbfer-20070710.zip
-}
-
-src_configure() {
- cat > local-setup.cfg <<-EOF || die
- [OPTIONS]
- no-download-t1-files = 1
- EOF
-}
-
-python_test() {
- pushd tests >/dev/null || die
- "${EPYTHON}" runAll.py --post-install --verbosity=2 ||
- die "Testing failed with ${EPYTHON}"
- popd >/dev/null || die
-}
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index a3c5c7b0a70d..4dad7589b1b8 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
DIST s3transfer-0.11.4.tar.gz 148419 BLAKE2B 140cdc5810cde2d758726ff0605d2fcf45ed0f1001e5f66f37ff1c5502129cc3e329fe2c67298eb541fba75ccb977c8fabd1fca2d059c7d46c16ba3a9ecbdabf SHA512 824e03bccd8d724ebe8146f8c2b115c0d43ffe3a89d005f7cfa53431140130c77997b66fc605ea1a61d3291f4d808e6869150466b2f30a216c2290e902554c5b
+DIST s3transfer-0.11.5.tar.gz 149107 BLAKE2B a5eed06767663a87b63649e62f3d98301551defda08e64b623a5beb38e4573ccdbbd68f426b580f93e17f8d09e679766b28cc248658c8ed515ada7064d7f53a6 SHA512 b8c0aa483429d4beabf58127678ebbfb28b407a95f1dde8bbcbb9d0adcf2143d3e1449cd71fa5c6eb3cf0ba25f08aa4f22f1671a34da26f67f36aab38837796b
diff --git a/dev-python/s3transfer/s3transfer-0.11.5.ebuild b/dev-python/s3transfer/s3transfer-0.11.5.ebuild
new file mode 100644
index 000000000000..b961e21eb65c
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.11.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+ https://github.com/boto/s3transfer/
+ https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/botocore-2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.37.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index f70e160608a2..8e0210ca26b9 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -2,3 +2,5 @@ DIST sqlglot-26.13.2-crates.tar.xz 8327388 BLAKE2B 69213d11940f9d4e743b169ef831b
DIST sqlglot-26.13.2.tar.gz 5348477 BLAKE2B 82e65a48e746cb378f114eb11b48383520696f58a6223f4760ed3068531bda0d377ed3d5af00e3bf77bfcda37cf16eab78a60a5c5412cd0ad4e72d1a3b969b18 SHA512 e6bd8098b45cf11c10a9ec704e208131b6140fd4dc2933a1dfae42f8e037bb3135dea837f7fffafe284d7eb544fbeeb70cbeff34b4500e2ad0378dd6e2c57569
DIST sqlglot-26.14.0-crates.tar.xz 8327388 BLAKE2B 69213d11940f9d4e743b169ef831b8b52a771f012e247570cf0703580a14af435d4d033b4b3ddfca6f4022b741261a24f3b47e5137de644d863714006520f857 SHA512 5de0781c54265b369e5e46b7cfbcc04a3118aa8d1323bff14f2841c95d471f545c923eedb88dbbb81a910801c5a505ff37a25701af936c06cf55a1659cd8822e
DIST sqlglot-26.14.0.tar.gz 5348485 BLAKE2B 863b7d11383a19f55435c2bed649b7f7c21f916408805ff996560657e7d7837d96141fe177d466d6c2119f025c708df405bf51a9a516ec17223ebc857adbf15f SHA512 3423959e8823418c84a3c211f552ea1573fedc0d82f96e41661ac7558ed097450b22f995847e26362a5493f051109a05737b0a2b2474a3f0d4dbefeaefcaa7ad
+DIST sqlglot-26.15.0-crates.tar.xz 8327388 BLAKE2B 69213d11940f9d4e743b169ef831b8b52a771f012e247570cf0703580a14af435d4d033b4b3ddfca6f4022b741261a24f3b47e5137de644d863714006520f857 SHA512 5de0781c54265b369e5e46b7cfbcc04a3118aa8d1323bff14f2841c95d471f545c923eedb88dbbb81a910801c5a505ff37a25701af936c06cf55a1659cd8822e
+DIST sqlglot-26.15.0.tar.gz 5350274 BLAKE2B d4fb9262af3facd04896f94a21f927f8a91edd1e67563a043ca338012b76abd2e4b60899032f5718b503accc829d95d786a2605eba49bf15709844edfd3e358b SHA512 0b7eb7a8c2bec05873837c16420c577a50affe8ca2f028f863b6bb50e3f9be18e5873c33de122940e04dab2e8e46329090cade371ef9e2f60535ad23e25b43f0
diff --git a/dev-python/sqlglot/sqlglot-26.15.0.ebuild b/dev-python/sqlglot/sqlglot-26.15.0.ebuild
new file mode 100644
index 000000000000..745ae109fd13
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-26.15.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES=""
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+CARGO_OPTIONAL=1
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${PV}/${P}-crates.tar.xz
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
+"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+pkg_setup() {
+ use native-extensions && rust_pkg_setup
+}
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ local DISTUTILS_UPSTREAM_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # timing, sigh
+ # https://github.com/tobymao/sqlglot/issues/3961
+ tests/test_generator.py::TestGenerator::test_generate_nested_binary
+ )
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index a83395ab15f3..215f2fde6898 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1 +1,2 @@
DIST XlsxWriter-RELEASE_3.2.2.gh.tar.gz 24656384 BLAKE2B b1b7313d0b486ff1e612102a67530ac96ae672a577b2c2cf23be65e1a0d8a0698ba6060c127b3d45afaa7691a8f03f82352ada9cf3aff98771bc7537622c6d69 SHA512 21fa5e550123506e0777dd849aacfd0c2177a4b0f79c675a55361693c286d03a100cf09c29c4a434a7d9e43825d90506ed6a4f3beef36c054cd0fd805a7a9446
+DIST XlsxWriter-RELEASE_3.2.3.gh.tar.gz 24659662 BLAKE2B d6efb2a5e2df399b5cb05fc1efe790584a29c2d4d13303ca9d0b9f7c8b900339c347800e515d2c636f88c27b7a731c853aba081069c0c9023dc1ec15e66da07c SHA512 1622420ab795a1b169569b1d5103f8f056fc3dbe741a46b21fee71d739738412d4c17d6822e8884f16bb37f47f4ced4b2eddf40850fa6d1d0bf0d951ec1ef820
diff --git a/dev-python/xlsxwriter/xlsxwriter-3.2.3.ebuild b/dev-python/xlsxwriter/xlsxwriter-3.2.3.ebuild
new file mode 100644
index 000000000000..7484d434bdee
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-3.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+TAG=RELEASE_${PV}
+MY_P=XlsxWriter-${TAG}
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="
+ https://github.com/jmcnamara/XlsxWriter/
+ https://pypi.org/project/XlsxWriter/
+"
+SRC_URI="
+ https://github.com/jmcnamara/XlsxWriter/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}